/*

Copyright 2012 Adam Reichold

This file is part of qpdfview.

qpdfview is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

qpdfview is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with qpdfview.  If not, see <http://www.gnu.org/licenses/>.

*/

#include <QtCore>
#include <QtGui>

#include "mainwindow.h"

int main(int argc, char *argv[]) {
    QApplication a(argc, argv);

    QApplication::setOrganizationName("qpdfview");
    QApplication::setApplicationName("qpdfview");

    /*if(QFile("qpdfview.svg").exists()) {
        a.setWindowIcon(QIcon("qpdfview.svg"));
    } else if(QFile("/usr/share/qpdfview/qpdfview.svg").exists()) {
        a.setWindowIcon(QIcon("/usr/share/qpdfview/qpdfview.svg"));
    }*/

    QApplication::setWindowIcon(QIcon(":/qpdfview.svg"));

    /*QTranslator translator;
    if(translator.load(QString("qpdfview_") + QLocale::system().name())) {
        a.installTranslator(&translator);
    } else if(translator.load(QString("qpdfview_") + QLocale::system().name(), "/usr/share/qpdfview")) {
        a.installTranslator(&translator);
    }*/

    QTranslator translator;
    if(translator.load(QString(":/qpdfview_") + QLocale::system().name())) {
        QCoreApplication::installTranslator(&translator);
    }

    MainWindow w;
    w.show();
    
    return a.exec();
}
