/*

Copyright 2012 Adam Reichold

This file is part of qpdfview.

qpdfview is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

qpdfview is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with qpdfview.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef PRINTTHREAD_H
#define PRINTTHREAD_H

#include <QtCore>

#include "documentcontroller.h"

class PrintThread : public QThread {
    Q_OBJECT

signals:
    void beginPrinting();
    void continuePrinting(QString);
    void endPrinting();

public:
    PrintThread(DocumentController *documentController, QPrinter *printer, int fromPage, int toPage, QObject *parent = 0);

    void run();

private:
    DocumentController *_documentController;

    QPrinter *_printer;

    int _fromPage;
    int _toPage;
};

#endif // PRINTTHREAD_H
